<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 


<h1>Base Item Detail</h1><p>
	Shared Item Detail - contains the common line item detail elements shared
	by all of the order and line processing services.
</p></intro>

<elementtype name="BaseItemDetail">
    <model>
        <sequence>
	    <element type="int" name="LineItemNum" />
	    <element type="int" name="SubLineItemNum" occurs="?" />
	    
	    <!--  part number information. 
			SupplierPartNum is required for Market Site  -->
	    <element type="PartNum" name="SupplierPartNum" />
	    <element type="PartNum" name="BuyerPartNum" occurs="?" />
	    <element type="PartNum" name="ManufacturerPartNum" occurs="?" /> 

	    <element type="string" name="CommodityCode" occurs="?" />   
	    
	    <element type="string" name="ItemDescription" occurs="?" />
	    
	    <!--  Quantity of this item  --> 
	    <element type="Quantity" occurs="?" />
	        	    
	    <!--   The maximum back order quantity for this item.
		The value can be 0 (which means buyer is not willing
		to backorder any portion of the item) to
		OrderedQuantity (which means supplier can backorder the
		whole quantity of the item if needed).
		Non zero maximum backorder quantity only makes sense
		if the FulfillWholeOrder flag is false in the header
		level.
	     -->
	    <element type="Quantity" name="MaxBackOrderQuantity" occurs="?" />

	    <!--  The person who will receive the item  -->
	    <element type="Party" name="FinalRecipient" occurs="?" />
	    <element type="Transport" occurs="?" />
	    
	    <!--  Commerce One-specific flag indicating that the item
			  is not in the catalog -->
	    <element type="boolean" name="OffCatalogFlag" occurs="?" />
	
	</sequence>
    </model>
</elementtype>

<!--  container for BaseItemDetail  -->
<elementtype name="ListOfBaseItemDetail">
	<model>
		<element type="BaseItemDetail" occurs="+" />
	</model>
</elementtype>

</schema>
