<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		A CategoryID identifies a category in a category tree.
		Parts are often classified by category trees.  (For example,
		Office Supplies may be at the root of the tree, with Paper,
		Writing Implements, and Desk Accessories on the next level
		of the tree.)
		
		Each tree has a TreeName.  Each node in a tree has a CategoryID
		that is unique within the tree.
		
		The categorization tree itself is not defined here.
	 -->

	<elementtype name="Category">
		<model>
			<sequence>
				<!-- The ID of the category.  Every node in the
					Category has an ID that is unique (within that
					tree).  -->
				<element type="string" name="CategoryID" />
				
				<!-- The coded name of the Tree.  This can be
					the name of a standard coding scheme, like UNSPSC.
					It can also be the Supplier's default proprietary tree
					(SupplierTree), or the Buyer's default proprietary tree
					(BuyerTree).  If one of these default trees is specified,
					no Agency is required.   --> 
				<element type="TreeNameCode" name="TreeName" />
				
				<!-- If TreeName is Other or not supplied, the name
					of the tree.  If no TreeName is supplied and Agency is
					AssignedBySupplier or AssignedByBuyer, this is assumed
					to be the Supplier or Buyer's default categorization
					tree.  -->
				<element type="string" name="TreeNameOther" occurs="?" />
				
				<!-- The Agency responsible for the TreeName. 
					It is customary to specify this if TreeName is Other.   -->
				<element type="Agency" occurs="?" />
			</sequence>
		</model>
	</elementtype>
    
	<datatype name="TreeNameCode">
		<enumeration datatype="NMTOKEN">
			<option>Other</option>
			
			<!-- SupplierTree indicates that the Supplier's
				default categorization tree is being used.  This is
				useful for suppliers that have their own categorization
				tree.   -->
			<option>SupplierTree</option>
			
			<!-- BuyerTree indicates that the Buyer's default
				categorization tree is being used.  This is
				useful for buyers that have their own categorization
				tree.  -->
			<option>BuyerTree</option>
			
			<option>UNSPSC</option>
			<option>NIGP</option>
		</enumeration>
	</datatype>
	
	<!-- A container for a list of one or more Category  -->
	<elementtype name="ListOfCategory">
    	<model>
    		<element type="Category" occurs="+" />
    	</model>
    </elementtype>
  
</schema>
