<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

<!-- 
	This file contains shared EDIFACT-based Data Elements 
 -->

<!--  Denotes buyer's willingness to accept partial shipment  -->
<datatype name="SalesRequirementCode">
    <enumeration datatype="NMTOKEN">
	<option>ShipComplete</option><!-- Not willing to accept partial shipment -->
	<option>ShipPartial</option><!-- Willing to accept partial shipment -->
    </enumeration>
</datatype>

<!--  EDIFACT Data Element 1229.
     Code specifying the action to be taken or already taken.
 -->
<datatype name="ActionRequestNotification">
    <!-- EDIFACT Data Element 1153. Reference Qualifier. -->
    <enumeration datatype="NMTOKEN">
	<option>Added</option>
	<option>Changed</option>
	<option>NoAction</option>
	<option>AcceptedAsIs</option>
	<option>NotAccepted</option>			
    </enumeration>
</datatype>

<datatype name="MsgRefNum">
    <!-- EDIFACT Data Element 0062. Message Reference Number. -->
    <enumeration datatype="NMTOKEN" >
      <option>DELFOR</option><!-- Delivery Schedule Msg -->
	<option>INVOIC</option><!-- Invoice message -->
	<option>ORDCHG</option><!-- Purchase Order Change Msg -->
	<option>ORDERS</option><!-- Purchase Order Msg -->
	<option>ORDRSP</option><!-- Purchase Order Response Msg -->
	<option>OSTENQ</option><!-- Order Status Enquiry Msg -->
	<option>OSTRPT</option><!-- Order Status Report Msg -->
	<option>PARTIN</option><!-- Part Info Msg -->
	<option>PRICAT</option><!-- Price/Sales Catalogue Msg -->
	<option>PRODAT</option><!-- Product Data Msg -->
	<option>PROINQ</option><!-- Product Inquiry Msg -->
	<option>QUOTES</option><!-- Quote Msg -->
	<option>RECADV</option><!-- Receiving Advice Msg -->
	<option>REMADV</option><!-- Remittance Advice Msg -->
	<option>REQOTE</option><!-- Request for Quote Msg -->
    </enumeration>
</datatype>

<datatype name="ControllingAgency">
    <!-- EDIFACT Data Element 0051. Controlling Agency. -->
    <enumeration datatype="NMTOKEN">
        <option>Other</option>
	<option>EN</option><!-- EAN International -->
	<option>UN</option><!-- UN/ECE/TRADE/WP .4, UNSM -->
    </enumeration>
</datatype>

<datatype name="AssociationCode">
    <!-- EDIFACT Data Element 0057. Association Assigned Code. -->
    <enumeration datatype="NMTOKEN">
        <option>Other</option>
	<option>SIMP01</option><!-- Simple EDI -->
	<option>EAN008</option><!-- EAN Version Control Number -->
    </enumeration>
</datatype>

<datatype name="ItemNumType">
    <!-- EDIFACT Data Element 7143. Item number type, coded -->
    <enumeration datatype="NMTOKEN">
        <option>Other</option>
	<option>EAN</option><!-- EN=International Article Numbering Association (EAN) -->
	<option>UPC</option><!-- UP=UPC (Universal product code) -->
	<option>BuyerItemNum</option><!-- IN=Buyer's item number -->
	<option>SupplierItemNum</option><!-- SA=Supplier's article number -->
	<option>BuyerPartNum</option><!-- BP=Buyer's part number -->
	<option>CommerceOne</option><!-- CommerceOne PartKey -->
    </enumeration>

</datatype>

<datatype name="CountryCode">
    <!-- 
    Data Element 3207: ISO 3166 two alpha country code
     -->
    <enumeration datatype="NMTOKEN">
	<option>GB</option><!-- United Kingdom -->
	<option>US</option><!-- United States -->
	<option>JP</option><!-- Japan -->
	<option>SG</option><!-- Singapore -->
	<option>FR</option><!-- France -->
    </enumeration>
</datatype>

</schema>
