<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
<!-- 
The aggregate of CTA and COM.
 -->

<datatype name="ContactFunctionCode">
    <!-- EDIFACT Data Element 3139. Contact Function. -->
    <enumeration datatype="NMTOKEN">
	<option>OrderContact</option><!-- OC = Order contact -->
	<option>ReceivingContact</option><!-- GR Goods receiving contact -->
	<option>InfoContact</option><!-- IC Information contact -->
	<option>PurchasingContact</option><!-- PD Purchasing contact -->
	<option>SalesRepContact</option><!-- SR Sales representative or department -->
    </enumeration>
</datatype>

<elementtype name="Contact">
    <model>
    	<sequence>
    	    <!--  The department or employee Id  -->
    	    <element type="Identifier" occurs="?" />
    	    
    	    <!--  The department or employee name  -->
    	    <element type="string" name="ContactName" />
    	    
   	    <!--  EDIFACT: COM:3155
   	    	 OBI: PER03 O ID 2/2 TE - telephone 1/80
                 Include country or area code  -->
            <element type="string" name="Telephone" />

            <!--  EDIFACT: COM: 3155
            	 OBI: PER03      O       ID      2/2     EM - email 1/80  -->
            <element type="string" name="Email" occurs="?" />

            <!--  EDIFACT: COM: 3155
                 PER03      O       ID      2/2     FX - fax 1/80  -->
            <element type="string" name="Fax" occurs="?" />   	    

    	</sequence>
    </model>
</elementtype>

<elementtype name="ContactCoded">
   <extends type="Contact">
       <append>
           <element type="ContactFunctionCode" name="ContactQual" />
       </append>
   </extends>
</elementtype>  

<elementtype name="ListOfContactCoded">
	<model>
   		<element type="ContactCoded" occurs="+" />
	</model>
</elementtype>  

</schema>

 
 
