<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

<!-- 
	Contract represents a unique price contract (Start Date, End Date) between a buyer 
	and a supplier. The base class does not contain a PartNum and therefore represents 
	a blanket contract that applies to all PartNums.
 -->

<elementtype name="Contract">
	<model>
		<sequence>

			<!--  The unique specifier for this contract  -->
			<element type="string"	    name="ContractID"  />

			<!--  The date the contract begins  -->
			<element type="date"	    name="StartDate"  />

			<!--  The date the contract ends  -->
			<element type="date"	    name="EndDate"  />

		</sequence>
	</model>
</elementtype>


<!--  Represents a contract that is limited to a specific PartNum  -->
<elementtype name="PartNumContract">
	<extends type="Contract">
	<append>

		<!--  The supplier part (catalog item) for which this contract applies  -->
		<element type="PartNum"	    name="PartIdent"  />

	</append>
	</extends>
</elementtype>

</schema>
