<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		DescInfo provides descriptive information about a product.
		This information is in addition to basic short description or
		long description information about a product.  This information
		is intended to be displayed when showing a description of the
		part.  It is not intended for providing detailed operational
		characteristics of the part.  (That information is usually 
		represented as a ProdAttribute.)
		
		The information may be provided either in coded form or
		as language-specific text strings.  If multiple languages
		are required, this element should be be repeated for each
		language.
	 -->

	<elementtype name="DescInfo">
	    <model>
	        <sequence>
	        	<!-- A coded value for the attribute being
	        		described.   -->
		    	<element type="DescInfoAttribCode" name="AttribCode" />
		    	
		    	<!-- If AttribCode is Other, the characteristic
		    		being described is named here in language-specific
		    		text.  -->
		    	<element type="LangString" name="AttribCodeOther" occurs="?" />
		    			    	
		    	<element type="DescInfoValueCode" name="ValueCode" />
		    	
		    	<!-- The value in text.  This should be specified
		    		only if the ValueCode is Other.   -->
		    	<element type="LangString" name="ValueOther" occurs="?"/>
		    	
		    	<!-- The Agency that understands the coded value.  -->
		    	<element type="Agency" occurs="?" />
		    			 		    	
			</sequence>
	    </model>
	</elementtype>

	<!-- A code an identifying item characteristic that is
		being described.  This is based on EANCOM codeset 7081.  -->
	<datatype name="DescInfoAttribCode">
		<enumeration datatype="NMTOKEN">
			<option>Other</option>
			<option>Finish</option>
			<option>Quality</option>
			<option>Color</option>
			<option>Grade</option>
			<option>Keyword</option>
		</enumeration>
	</datatype>
	
	<!-- A code specifying a value for the attribute.  -->
	<datatype name="DescInfoValueCode">
		<enumeration datatype="NMTOKEN" >
			<option>Other</option>
			<option>Red</option>
			<option>Orange</option>
			<option>Yellow</option>
			<option>Green</option>
			<option>Blue</option>
			<option>Violet</option>
			<option>A</option>
		</enumeration>
	</datatype>
	
	<!-- A container for a list of one or more DescInfo  -->
	<elementtype name="ListOfDescInfo">
    	<model>
    		<element type="DescInfo" occurs="+" />
    	</model>
    </elementtype>
  
	
</schema>
