<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		<![CDATA[
		A Dimension encapsulates the measurement of some physical
		quantity.  The dimension has a name (such as "Height," "Width," or
		"Thickness"), a UnitOfMeasure (such as "FOT" for foot), and a Measurement 
		value (for example, 7.00 ).  The Measurement value can also have an
		equality indicator (such as equal to or greater than).
		
		In XML, a simple Dimension may be:
			<Size DimName="Height" UnitOfMeasure="FOT">
				6.1
			</Size>
			
		A more complex Dimension may be:
			<Size Equality="GT" DimName="Other" 
				DimNameOther="Height, with shoes" UnitOfMeasure="FOT">
				6.3
			</Size>
			
		Implementation note:  It makes sense for "Dimension" to
		"extend" Measurement.  At the time of this writing, "Measurement"
		could not be extended because SOX does not allow extension of
		an <elementtype> with a <model> of <string>. 
		]]>
	 -->

	<elementtype name="Dimension">
	    <model>
        	<!--  The measured value.  -->
        	<string datatype="Decimal18_3" />
	    </model>


	    <!--  The Dimension being measured (for example, the
	    	height, width, etc.)  -->
	    <attdef datatype="DimensionCode" name="DimName">
	    	<required/>
	    </attdef>
	    
	    <!--  A DimNameOther is provided only if the Dim is Other.
	    	It names the dimension.  -->
	    <attdef datatype="string" name="DimNameOther">
	    </attdef>
	    
		<!--  The MeasUnit provides the unit of measurement
			(eg, feet or meters).   -->
		<attdef datatype= "UOMCode" name="UnitOfMeasure">
			<required/>
		</attdef>
		
		<!--  The relationship of the property being measured
			to the supplied measured value.  Signifies whether
			the property is Equal to, less than, etc. the value.  -->
		<attdef datatype="EqualityCode" name="Equality" />
			   
	</elementtype>
	
	<!--  A container for a list of one or more Dimension  -->
	<elementtype name="ListOfDimension">
    	<model>
    		<element type="Dimension" occurs="+" />
    	</model>
    </elementtype>
	
</schema>
