<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
	<!-- 
		<![CDATA[
			List of standard dimension names.  This is derived from EDI code
			list 6313.
		]]>
	 -->
    
	<datatype name="DimensionCode">
	    <enumeration datatype="NMTOKEN">
			<!--  Transport container actual filling weight Actual filling weight of a transport container.  -->
			<option>ContainerFillWeight</option>
			
			<!--  Transport container maximum capacity Maximum capacity of a transport container.  -->
			<option>ContainerMaxCapacity</option>

			<!--  The gross measurement cube of an article.  -->
			<option>CubeMeasureGross</option>
			
			<!--  An indication of the net cubed measurement of a package.  -->
			<option>CubeMeasureNet</option>
			
			<!--  The declared net weight of a product or products used for invoicing, customs or transport purposes.   -->
			<option>DeclaredNetWeight</option>
			
			<!--  Degree BRIX (EAN Code)  -->
			<option>DegreeBRIX</option>
			
			<!--  Density  -->
			<option>Density</option>

			<!--  Depth  -->
			<option>Depth</option>
			
			<!--  Diameter   -->
			<option>Diameter</option>
			
			<!--  The volume of liquid which results after a dilution agent has been added, e.g. undiluted orange juice of 200ml, after dilution with water the volume of diluted liquid equals 1 litre.  -->
			<option>DilutedLiquid</option>
			
			<!--  A code used to indicate the net weight of a product following the removal of any liquid used in the packaging of that product.  -->
			<option>DrainedWeight</option>
			
			<!--  A measurement of the energy efficiency of an article.  -->
			<option>EnergyEfficiency</option>
			
			<!--  A measurement of the fat content of a product.  -->
			<option>FatContent</option>

			<!--  Heat dissipation -->
			<option>HeatDissipation </option>
			
			<!--  Height dimension  -->
			<option>Height</option>
			
			<!--  Humidity  -->
			<option>Humidity</option>
			
			<!--  A measurement of the inside diameter of a roll, tube, pipe, or circle.  -->
			<option>InsideDiameter</option>
			
			<!--  Number of layers of a product or products within a package, container, pallet, etc.  -->
			<option>Layers</option>
			
			<!--  Length dimension  -->
			<option>Length</option>
			
			<!--  Maximum height of products or packages loaded onto a given transportation device or equipment such as a pallet.    -->
			<option>LoadingHeight</option>
			
			<!--  A measurement of the outside diameter of a roll, tube, pipe, or circle.  -->
			<option>OutsideDiameter</option>
			
			<!--  The number of pallet places needed to store or transport pallets (can be stacked).  -->
			<option>PalletPlaces</option>
			
			<!--  An indication of the number of units on a loaded pallet. The value associated with this code is calculated by multiplying the number of units per layer by the number of layers on a pallet.  -->
			<option>PalletUnits</option>
			
			<!--  Power consumption Value of energy consumption.  -->
			<option>PowerConsumption</option>
			
			<!--  The ration of the power dissipated (active power in kW) to the total power (which is the product of the input volts times amps given in kVa). When equipment which uses reactive power is being operated the power factor will be less than one.  -->
			<option>PowerFactor</option>
						
			<!--  Relative humidity  -->
			<option>RelativeHumidity</option>

			<!--  Specific gravity  -->
			<option>SpecificGravity </option>
			
			<!--  Maximum height up to which the same product or package may be placed one upon the other for storage purposes.  -->
			<option>StackingHeight</option>
			
			<!--  An indication of measurements in which options contained within a Customer Specific Article are available, e.g. 10 metre planks of wood may be sold in step sizes of 2 metres.  -->
			<option>StepSize</option>
			
			<!--  Tare weight  -->
			<option>TareWeight</option>
			
			<!--  A measurement in relation to temperature.  -->
			<option>Temperature</option>
			
			<!--  Operative temperature Temperature identified system or process works according to specifications.  -->
			<option>TempOperating</option>
			
			<!--  Thickness  -->
			<option>Thickness</option>
			
			<!--  Number of units of a product or package within one layer of a package, container, pallet, etc.  -->
			<option>UnitsPerLayer</option>
			
			<!--  The number of identified units per package.   -->
			<option>UnitsPerPackage</option>
			
			<!--  Voltage  -->
			<option>Voltage</option>
			
			<!--  Volume The amount of air space taken up by the entity identified in the 6311 qualifier.  -->
			<option>Volume</option>
			
			<!--  The observed volume unadjusted for factors such as temperature or gravity.  -->
			<option>VolumeGross</option>
			
			<!--  Net volume The observed volume after adjustment for factors such as temperature or gravity.  -->
			<option>VolumeNet</option>
			
			<!--  Waste content  -->
			<option>WasteContent</option>
			
			<!--  Water content Water content in product.  -->
			<option>WaterContent</option>
			
			<!--  Weight of unit  -->
			<option>Weight</option>
			
			<!--  Weight (mass) of goods including packing but excluding the carrier's equipment.  -->
			<option>WeightGross</option>
			
			<!--  Item gross weight Gross weight at line item level.  -->
			<option>WeightItemGross</option>
			
			<!--  Net net weight Weight (mass) of the goods without any packing.  -->
			<option>WeightNetNet</option>

	    </enumeration>
	</datatype>
</schema>
