<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
<h1>Event Core</h1><p>
<![CDATA[
Event Core contains the error and success code and some other information 
related to the error if available.

For example, let say buyer B1 initiates a price check for 10 units of item 
SKU1 to supplier S1. Here are some scenarios of the price check process:

- successful				(e.g. EventKey: PRICE_CHECK_OK)
- fail, due to invalid SKU number	(e.g. EventKey: PC_INVALID_SKU)
- fail, due to invalid quantity		(e.g. EventKey: PC_INVALID_QTY)
- fail, due to not enough availability	(e.g. EventKey: PC_INSUFFICIENT_QTY)
- etc.

Each of the error codes can be expressed in a unique EventKey (the error code).

In addition to the success or error code, EventCore can provide more information
to the caller. For example, for the case where the supplier does not have 
sufficient stock to satisfy customer's request, she can provide information
about how much stock it currently available.

For Commerce One customers, they would be able to create a full event using
this event core object. For non Commerce One customers, you would need to get a 
copy of the appropriate event catalog to find out the full listing of
error/success code.

Here is subset of a sample event catalog:
	
  <EVENT TYPE="STATUS" ID="PC_INSUFFICIENT_QTY" SEV="20">
    <APPLICATION ID="11502" CATEGORY="BUS" SUBCATEGORY="PO"/>
    <TEXT en="Not enough stock for order item line#: +1, SKU#: +2, wanted: +
3, have: +4."/>
    <PARAMETER NAME="OrderItemNum"/>
    <PARAMETER NAME="SKU#"/>
    <PARAMETER NAME="WantedQuantity"/>
    <PARAMETER NAME="AvailableQuantity"/>
  </EVENT>
	
]]>
</p></intro>

<elementtype name="EventCore" >
    <model>
	<sequence>
	    <!--  This is equivalent to the eventKey  -->
	    <element type="string" name="EventKey" />
	
	    <!--  Pass on all of the parameters to the client if they
	      	  want to reconstruct events on their side  -->
	    <element type="ListOfParameter" occurs="?" />

	    <!--  Pass on the default error message  -->
	    <element type="string" name="EventMessage" occurs="?" />

	    <!--  This event creation time  -->
	    <element type="datetime" name="TimeStamp" occurs="?" />

	</sequence>
    </model>
</elementtype>

<!--  container for Parameters  -->
<elementtype name="ListOfParameter">
	<model>
		<element type="string" name="Parameter" occurs="+" />
	</model>
</elementtype>

<!--  container for EventCore  -->
<elementtype name="ListOfEventCore" >
    <model>
    	<element type="EventCore" occurs="+" />
    </model>
</elementtype>

</schema>
