<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		A Hazardous item is identified by a hazardous goods code
		(from some Agency), or by text describing the hazard.
	 -->

	<elementtype name="Hazardous">
	    <model>
	        <sequence>
	    		<!--  The Agency that codified the Hazard.   -->
	    		<element type="Agency" occurs="?" />

	        	<!--  The HazardCode is the coded identification
	        		of the Hazard, as specified by the Agency.  -->
		    	<element type="string" name="HazardCode" occurs="?" />
		    	
		    	<!--  An optional extension of the HazardCode to
		    		further refine it.  -->
		    	<element type="string" name="CodeExt" occurs="?" />
		    	
		    	<!--  An optional HazardCode version number.  -->
		    	<element type="string" name="CodeVer" occurs="?" />
		    	
		    	<!--  If no DangerCode is specified, text may be
		    		provided for the Danger.  The text may be provided
		    		in several languages, but it should be specified only
		    		once for a given language.   -->
		    	<element type="ListOfLangString" name="HazardText" occurs="?" />
		    	
		    	<!--  United Nations Dangerous Goods code for
		    		most common dangerous substances.  -->
		    	<element type="int" name="UNDGNum" occurs="?" />
		    	
		    	<!--  The lowest temperature at which vapor from
		    		an inflammable liquid forms an ingitable mixture
		    		with air. In degrees centigrade   -->
		    	<element type="Decimal8_2" name="Flashpoint" occurs="?" />

			<!--  Packing criteria for hazardous materials as
					assigned by IATA/IMDB/ADR/RID.  -->		    	
		    	<element type="HazardPackingCode" name="PackingCode" 
		    		occurs="?" />

			<!--  Emergency procedures for ships carrying
					dangerous goods  -->
			<element type="string" name="EMSNum" occurs="?" />
				
			<!--  Medical first aid guide  -->
			<element type="string" name="TremCardNum" occurs="?" />		    	
			</sequence>
	    </model>
	</elementtype>
	
	
	<!--  Packing criteria for hazardous materials as assigned
		by IATA/IMDB/ADR/RID.  This is derived from EANCOM code list
		8339.   -->
	<datatype name="HazardPackingCode">
		<enumeration datatype="string">
			<option>Not Specified</option>
			<option>Great Danger</option>
			<option>Medium Danger</option>
			<option>Minor Danger</option>
		</enumeration>
	</datatype>
	
	<!--  A container for a list of one or more Hazardous  -->	
	<elementtype name="ListOfHazardous">
    	<model>
    		<element type="Hazardous" occurs="+" />
    	</model>
    </elementtype>
	
			
</schema>
