<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM 
		"urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0">

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		InvoiceHeader is used to specify references which relate to the whole
		invoice, for example, Purchase Order Numbers, Delivery Numbers, etc.

		I modeled these elements as type "string". The EAN/EDIFACT
		format is an..3 (up to 3 alpha numeric characters) this seems
		very constrained.

		InvoiceHeader is based on SG1 in EAN/EDIFACT
	 -->
	<elementtype name="InvoiceHeader">
		<model>
		<sequence>

			<!--  InvoiceDate is the date this doucment was generated on  -->
			<element type="date" name="InvoiceDate" />
			<element type="date" name="DeliveryDate" occurs="?" />
			<element type="date" name="TaxPointDate" occurs="?" />

			<!--  CT  -->
			<element type="string" name="ContractNumber" occurs="?" /> 

			<!--  PL  -->
			<element type="string" name="PriceListNumber" occurs="?" />
	
			<!--  PI  -->
			<element type="string" name="PriceListVersionNumber" occurs="?" />

			<!--  AMW  -->
			<element type="string" name="BuyersCatalogNumber" occurs="?" />

			<!--  VN  -->
			<element type="string" name="SupplierOrderNumber" occurs="?" />

			<!--  ON  -->
			<element type="string" name="BuyerOrderNumber" occurs="?" />

			<!--  the invoice is always in a single currency  -->
			<element type="CurrencyCode" name="InvoiceCurrency"/>
		</sequence>
		</model>
	</elementtype>

</schema>
