<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
<!-- 
OBI Note:
InvoiceType (BEG08) is embedded inside the Payment component.
PartLocation is used when a supplier has multiple warehouse.
BuyerRefNum is the Buyer's PO Number
SupplierRefNum is the Supplier's Sales Order Number
 -->

<elementtype name="OrderHeader">
    <model>
        <sequence>
	    <element type="datetime" name="POIssuedDate" />
	    
	    <!--  OBI: DTM01		M	ID  3/3 002 - requested delivery date
	         DTM02 C	DT	6/6	YYMMDD  -->    
	    <element type="datetime" name="RequestedDeliveryDate" />
	    <element type="datetime" name="ShipByDate" occurs="?" />
	    
	    <!--  OrderReference consists of AccountCode, Buyer's
	    	OrderNumber, etc.  -->
	    <element type="OrderReference"  />  
	    
	    <!--  OrderParty consists of BuyerParty, SupplierParty,
	    	ShipToParty, etc.  --> 
	    <element type="OrderParty"  />
	    
	    <element type="Tax" occurs="?" />
	    
	    <!--  This currency will be used for whole PurchaseOrder unless it
	    	is overriden.  -->
	    <element type="CurrencyCode" name="OrderCurrency" />

	    <!--  This langauge will be used for whole PurchaseOrder unless it
		is overriden.  -->
	    <element type="LangCode" name="OrderLanguage" />
	    
	    <element type="Payment" occurs="?" />

	    <element type="ListOfAllowOrCharge" occurs="?"/>

	    <!-- 
	    Buyer's willingness to accept partial shipment.
	     -->
	    <element type="boolean" name="PartialShipmentAllowed" />
	    
	    <!--  
    		OBI: NTE01	O	ID	3/3 
    		SPH - special handling instructions
		GEN - other instructions
	 	 -->
	    <element type="string" name="SpecialHandlingNote" occurs="?" />
	    <element type="string" name="GeneralNote" occurs="?" />
	    
	    <element type="string" name="PartLocation" occurs="?" />
	    
	    <element type="Transport" occurs="?" />
	    <element type="TermOfDelivery" occurs="?" /> 
	    
	    <!--  the attachment of the order header  -->
	    <element type="ListOfAttachment" name="OrderHeaderAttachment" occurs="?"/>  
	</sequence>
    </model>
    
</elementtype>
</schema>
