<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		Package information includes information about one product
		package (possibly in a set of packages for the product).
		
		The information includes special markings on the package
		and the information about the type of packaging.  For
		example, returnable packaging could be noted here (in the
		PackageType field.)
	 -->

	<elementtype name="Package">
	    <model>
	        <sequence>
	        	<!--  Coded packaging information.  This includes
	        		things like BarCoding and other information that
	        		might be on the package.  / -->
	        	<element type="ListOfPackageInfo" occurs="?" />
	        	
	        	<!--  Package type information.  This includes
	        		things like whether the Package has a deposit.  / -->
	        	<element type="ListOfPackageType" occurs="?" />
	        	
	        	<!--  Package Dimensions. / -->
	        	<element type="ListOfDimension" occurs="?" />
	        	
	        	<!--  Coded package markings. / -->
	        	<element type="ListOfPackageMark" occurs="?"/>
	        	
	        	<!--  Free text package markings.  These may be
	        		in several languages.  There may be multiple occurrences
	        		for a single language. / -->
	        	<element type="ListOfLangString" name="MarkText" occurs="?" />
			</sequence>
	    </model>
	</elementtype>

	<!--  A PackageInfo element contains one PackageInfoCode. / -->	
	<elementtype name="PackageInfo">
		<model>
			<string datatype="PackageInfoCode" />
		</model>
	</elementtype>
	
	<!--  A PackageInfo element contains one PackageMarkCode. / -->	
	<elementtype name="PackageMark">
		<model>
			<string datatype="PackageMarkCode" />
		</model>
	</elementtype>
		
	<!--  Code for packaging related information.  Derived from
		EANCOM code set 7233. / -->
	<datatype name="PackageInfoCode">
		<enumeration datatype="NMTOKEN" >
			<option>EAN8OrEAN13Barcoded</option>
			<option>ITF14OrITF6Barcoded</option>
			<option>UCCOrEAN128Barcoded</option>
			<option>ADR</option>
		</enumeration>
	</datatype>
	
	<!--  Code indicating how a package should be marked.
		This is derived from EANCOM code list 4233.  / -->
	<datatype name="PackageMarkCode">
		<enumeration datatype="NMTOKEN" >
			<option>NoSupplierName</option>
			<option>CustomerCoName</option>
			<option>CustomerRefs</option>
			<option>MinorDanger</option>
			<option>Price</option>
		</enumeration>
	</datatype>
	
	<!--  A container for a list of one or more PackageInfo / -->
	<elementtype name="ListOfPackageInfo">
    	<model>
    		<element type="PackageInfo" occurs="+" />
    	</model>
    </elementtype>
    
	<!--  A container for a list of one or more PackageMark / -->
	<elementtype name="ListOfPackageMark">
    	<model>
    		<element type="PackageMark" occurs="+" />
    	</model>
    </elementtype>
	
	<!--  A container for a list of one or more Package / -->
	<elementtype name="ListOfPackage">
    	<model>
    		<element type="Package" occurs="+" />
    	</model>
    </elementtype>
			
</schema>
