<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		Packaging information includes the number of packages and
		any special information about the packaging.
	 -->

	<elementtype name="PackageType">
	    <model>
	        <sequence>
	        	<!--  Coded package type.  / -->
	        	<element type="PackageTypeCode" name="TypeCode" />
	        	
	        	<!--  If TypeCode is Other, a TypeCode should
	        		be specified as text in TypeCodeOther. / -->
	        	<element type="string" name="TypeCodeOther" occurs="?"/>
	        	
	        	<!--  The name of a CodeList may be specified / -->
	        	<element type="string" name="CodeList" occurs="?" />
	        	
				<!--  The agency responsible for the codelist. / -->
				<element type="Agency" occurs="?" />
					        	
	        	<!--  Free text descriptive info about the packaging type.
	        		This may be provided in multiple languages (but no
	        		more than one entry for a given language.)  / -->
	        	<element type="ListOfDescription" occurs="?" />	    	
			</sequence>
	    </model>
	</elementtype>
	
	<!--  Code for packaging related information.  Derived from
		EANCOM code set 7065. / -->
	<datatype name="PackageTypeCode">
		<enumeration datatype="NMTOKEN" >
			<option>None</option>
			<option>Other</option>
			<option>OnewayPallet</option>
			<option>ReturnablePallet</option>
			<option>Barrel</option>
		</enumeration>
	</datatype>
	
	<!--  Agency responsible for package type code list.
		This is derived from EANCOM code list 3055.  / -->
	<datatype name="PackageCodeAgency">
		<enumeration datatype="NMTOKEN" >
			<option>CEC</option>
			<option>IATA</option>
			<option>ISO</option>
		</enumeration>
	</datatype>
	
	<!--  A container for a list of one or more Category / -->
	<elementtype name="ListOfPackageType">
    	<model>
    		<element type="PackageType" occurs="+" />
    	</model>
    </elementtype>
			
</schema>
