<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		<![CDATA[
		A PartNum identifies a part by a PartID and the agency
		that issued that part number.
		  
		In typical use, it is referenced in a document definition as:
		
			<element type="PartNum">
		
		If the Agency that issued the part number is selected from
		a list of standard agencies, the XML instance for this will
		look like this:
			<PartNum>
				<Agency AgencyID="CommerceOne" />
				<PartID>123456</PartID>
			</PartNum>
			
		If the Agency is non-standard, the XML will look like this:
			<PartNum>
				<Agency AgencyOther="My Agency" />
				<PartID>123456</PartID>
			</PartNum>
			
		Some Agency's may support a Part Number extension.  This
		can be thought of as a logical extension of the Part Number.
		An XML instance may look something like this:		
			<PartNum>
				<Agency AgencyID="AssignedBySupplier" />
				<PartID>123456</PartID>
				<PartIDExt>A</PartIDExt>
			</PartNum>
		
		
		]]>
	 -->

	<elementtype name="PartNum">
	    <model>
	    	<sequence>
				<!--  The Agency that named the part / -->
        		<element type="Agency" />
        		
        		<!--  The PartID is the name by which the part
        			is known.  This uniquely identifies the part in the
        			Agency's part numbering scheme. / --> 		
	    		<element type="string" name="PartID" />

				<!--  An extension to the PartID.  For example
					a Supplier may have a PartID "12345", with a
					PartIDExt of "A". / -->	    		
	    		<element type="string" name="PartIDExt" occurs="?"/>
	    	</sequence>
	    </model>
	</elementtype>
	
	<!--  A container for a list of one or more PartNum / -->
	<elementtype name="ListOfPartNum">
    	<model>
    		<element type="PartNum" occurs="+" />
    	</model>
    </elementtype>
</schema>
