<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
	<!-- 
		PartTreeNode describes a part in relation to a hierarchy of
		parts.  This part can be designated as either the parent or
		child of other parts.  In addition the quantity of this part
		that is contained in a parent can be specified.
	 -->

	<elementtype name="PartTreeNode">
	    <model>
	        <sequence>

		    	
		    	<!--  The Part we are a child or parent of. / -->
		    	<element type="PartNum" />
		    	
		    	<!--  Quantity information related to this part.
		    		The most common type of quantity in a hierarchy is
		    		the quantity of this part contained by the parent.
		    		This can be specified with the "UnitsInParent"
		    		qualifier in the Quantity element. / --> 
		    	<element type="ListOfQuantity" occurs="?" />
		    	
				<!--  Technical attributes of the hierarchy. / -->			
				<element type="ListOfProdAttribute" occurs="?" />	    			    		 		    	
			</sequence>
	    </model>
	    
    	<!--  Determines whether this node is a parent of
    		or child of the PartNum.  Specify Parent if this
    		part is a parent of PartNum, and Child if it is
    		a Child of PartNum.  / -->
    	<attdef datatype="ParentChild" name="Relation" >
    		<required/>
    	</attdef>
	
	</elementtype>

	<!--  Specification of a parent or child relationship. / -->
	<datatype name="ParentChild">
		<enumeration datatype="NMTOKEN">
			<option>ParentOf</option>
			<option>ChildOf</option>
		</enumeration>
	</datatype>
	
	<!--  A container for a list of one or more PartTreeNode / -->
	<elementtype name="ListOfPartTreeNode">
    	<model>
    		<element type="PartTreeNode" occurs="+" />
    	</model>
    </elementtype>
	

</schema>
