<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
	<!-- 
		<![CDATA[
		Identification information related to a party in a transaction.
		The party may be specified by a combination of:
		
		1. One or more ID numbers.  Each ID is actually an ordered pair
		specifying an Agency that issued the ID, and the PartyID itself.
		If only one ID is specified, the AgencyID and PartyID may be
		conveniently specified as attributes.
		
		2. Name and Address information.  
		
		In typical use, it is referenced in a document definition as:
		
			<element type="Party" name="Supplier" />
		
		If the Supplier has a CommerceOne ID, the XML for this will
		look something like:
		
			<Supplier>
				<Party AgencyID="CommerceOne" PartyID="12345" />
			</Supplier>
			
		If name and address information is supplied, the XML will
		look something like:
		
			<Supplier>
				<Party>
					<NameAddress>
						<....NameAddress info ... />
					</NameAddress>
				</Party>
			</Supplier>

		The syntax also allows for specification of nonstandard
		ID numbers.
		]]>
	 -->

	<elementtype name="Party">
	    <model>
	    	<sequence>
	    		<!--  A Party may be known to an agency (like EAN) by
	    			some identifying number.  These identification
	    			numbers may be listed here.  Any numbers provided
	    			here are in addition to a PartyID/AgencyID specified as
	    			an attribute of the Party.   -->
	    		<element type="ListOfIdentifier" occurs="?" />
	    		
				<!--  Name and Address information can be provided.  -->
				<element type="NameAddress" occurs="?" />
		    	    
				<!--  One Party can have contacts that play different role.
					 For example, a buyer can be the information contact,
					 order contact, and even purchasing contact  -->
				<element type="Contact" name="OrderContact" occurs="?" />
				<element type="Contact" name="ReceivingContact" occurs="?" />
				<element type="Contact" name="ShippingContact" occurs="?" />
				<element type="ListOfContactCoded" name="OtherContacts" occurs="?" />
	    	</sequence>
	    </model>
	   
	   	<!--  The Party may be identified by a PartyID that is known to
	   		some Agency.  The Agency should be identified with an AgencyID
	   		(or an AgencyOther).  -->
	    <attdef datatype="string" name="PartyID" />
	    
		<!--  An Agency chosen from a list of standard Agencies.
			This identifies the Agency that issued the PartyID.  -->   
	    <attdef datatype="AgencyCode" name="AgencyID" />

		<!--  If the AgencyID is Other (or not provided), the
			Agency may be specified as a string.  -->
	    <attdef datatype="string" name="AgencyOther" />
	    
	</elementtype>
	
	</schema>
