<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		<![CDATA[
		A PartyCoded provides identification information for a Party.
		It extends Party by supplying a code for the role the Party
		plays in a document.
		
		When the role of the Party is known at document
		definition time, an element of type="Party" is typically
		used.  For example:
		
			<element type="Party" name="BuyerParty"/>
		
		is clearly Party information for the Buyer.
		
		When the role of the Party is not known at document
		definition time, a PartyCoded may be used instead of
		a Party to further qualify it.  For example:
		
			<element type="PartyCoded" name="OtherParty" occurs="?"/>
		
		may be used to refer to a Party whose role is identified in
		an instance of the document.	
		]]>
	 -->

	<datatype name="PartyRoleCode">
		<enumeration datatype="NMTOKEN" >
			<option>Other</option>
			<option>Buyer</option>
			<option>Supplier</option>
			<option>CentralCatParty</option>
			<option>StoreNumber</option>
			<option>SuppAgent</option>
			<option>ProdInqNum</option>
		</enumeration>
	</datatype>
	
	<elementtype name="PartyCoded">
		<extends type="Party">
			<append>
        		<!--  The role of the Party. / --> 
				<element type="PartyRoleCode" name="PartyRole" />
				
				<!--  If PartyRole is Other, the role of the
				Party may be identified in a string. / -->
				<element type="string" name="PartyRoleOther" occurs="?" />
			</append>
		</extends>
	</elementtype>
	
	<!--  This is a container for list of PartyCoded  -->
	<elementtype name="ListOfPartyCoded">
	    <model>
		<element type="PartyCoded" occurs="+" />
	    </model>
	</elementtype>

</schema>
