<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		Price describes the price of one UnitOfMeasure of a product
		when the product is purchased on a particular date in a
		particular quantity in a particular currency.	
	 -->
	
	<elementtype name="Price">
	    <model>
	        <sequence>
	        	<!--  The Unit Price (for one unit of measure)
	        		if this Price applies. / -->
		    	<element type="UnitPrice" />
		    	
				<!--  The UnitOfMeasure.  This is often determined
					by context and omitted from the Price specification. / -->		    	
		    	<element type="UnitOfMeasure" occurs="?" />
		    		
		    	<!--  The first date that this price applies.  If
		    		not specified, it defaults to a date in the distant
		    		past.  / -->
		    	<element type="date" name="StartDate" occurs="?" />
		    	
		    	<!--  The last date that this price applies.  If
		    		not specified, it defaults to a date in the distant
		    		future.  / -->
		    	<element type="date" name="EndDate" occurs="?" />
		    	
		    	<!--  The amount of product for which this rate
		    		applies.  If no QuantityRange is specified, it is assumed
		    		that this rate applies to any quantity purchased. / -->
		    	<element type="QuantityRange" occurs="?" />		    	
			</sequence>
	    </model>
	</elementtype>
	
	<!--  A container for a list of one or more Price / -->
	<elementtype name="ListOfPrice">
    	<model>
    		<element type="Price" occurs="+" />
    	</model>
    </elementtype>
</schema>
