<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
	<!-- 
		PriceCatDetail provides line item detail information for one
		product in the PriceCatalog.
	 -->
       
	<elementtype name="PriceCatDetail">
    	<model>
        	<sequence>       		
        		<!--  Action code.  This detail record may be
        			to add or change part pricing information.  The
        			two operations should be treated the same way
        			by most applications.  Adding pricing information
        			where it already exists should be treated as a
        			change.  Changing pricing information where no
        			pricing information already exists should be
        			treated as an add.  / -->
        		<element type="PriceCatDetailActionCode" name="PriceAction" />
        		
        		<!--  The part number that uniquely identifies
        		this product / -->
        		<element type="PartNum" />
        		
				<!--  A brief description of the product.  Max 
					length is 255 chars. The description may be
					specified in several different languages,
					but it should be specified only once for a given
					language.  / -->
				<element type="ListOfDescription" occurs="?"/>
        		
        		<!--  Parts and Part Numbers related to 
        			this part. / --> 
        		<element type="RelatedParts" occurs="?" />

				<!--  First date on which this entry is valid. / -->        			
        		<element type="date" name="ValidStartDate" occurs="?" />

				<!--  Last date on which this entry is valid. / -->         		
        		<element type="date" name="ValidEndDate" occurs="?" />

				<!--  First date on which this product is available. / -->         		
        		<element type="date" name="AvailStartDate" occurs="?" />

				<!--  Last date on which this product is available. / --> 	        		
        		<element type="date" name="AvailEndDate" occurs="?" />

				<!--  Lead time of delivery of this product in days. / -->        		
        		<element type="int" name="LeadTimeDays" occurs="?" />
				
				<!--  An optional long description of the product.
					Max length is 2000 chars.  The LongDesc may be specified
					specified in several different languages,
					but it should be specified only once for a given
					language. / -->
				<element type="ListOfLangString" name="LongDesc" occurs="?" />
				
				<!--  Additional descriptive information about 
					this product. / -->
				<element type="ListOfDescInfo" occurs="?" />

				<!--  The minimum number of "units of measure"
					that may be ordered.  If not specified, 
					the minimum is 1. / -->
				<element type="Decimal15_3" name="MinOrder" occurs="?" />
				
				<!--  The maximum number of "units of measure"
					that may be ordered.  If not specified, there is no
					maximum.  / -->
				<element type="Decimal15_3" name="MaxOrder" occurs="?" />
				
				<!--  A product may be in the MinOrder amount
					plus a multiple of the LotSize.  The LotSize is
					typically 1.0, but may be 0, a fractional quantity,
					etc. If not specified, it defaults to 1.0.  / -->
				<element type="Decimal15_3" name="LotSize" occurs="?" />
				
				<!--  Product attributes.  These are intended
					to be technical attributes of the product.  / -->				
				<element type="ListOfProdAttribute" occurs="?" /> 
				
				<!--  File attachments related to this part. / -->
				<element type="ListOfAttachment" occurs="?" />
				
				<!--  Keyword/Value pairs related to this part. / -->
				<element type="ListOfKeyVal" occurs="?" />
				
				<!--  The classification of this product in the
					UNSPSC classification scheme.  This is the UNSPSC
					code for the appropriate classification.  It is
					strongly recommended that each product in the catalog
					have a UNSPSC classification.  / -->
				<element type="string" name="CategoryUNSPSC" occurs="?"/>
				
				<!--  Other classifications may be specified in
					addition to the primary UNSPSC classification.  / -->
				<element type="ListOfCategory" occurs="?"  />
				
				<!--  The country of Origin. / -->
				<element type="CountryCode" name="CountryOfOrigin" occurs="?" />
				
				<!--  Special conditions (like Price Includes Tax). / -->
				<element type="ListOfSpecialCond" occurs="?" />
				
				<!--  List prices for this part.  This is
					specified as a list of prices to define the list
					price at various quantity levels.  This is an
					optional field.  A ListPrice does not need to 
					be defined.  / -->
				<element type="ListOfPrice" name="ListPrice" occurs="?" />
				
				<!--  Price for this part. This is
					specified more than once to define various
					prices at various quantity levels.  At least
					one price must be specified.  / -->
				<element type="ListOfPrice" />
				
				<!--  Allowance or charges for this part. / -->
				<element type="ListOfAllowOrCharge" occurs="?" />
			</sequence>
    	</model>
	</elementtype>
	
	<datatype name="PriceCatDetailActionCode" >
		<enumeration datatype="NMTOKEN">
			<option>Add</option>
			<option>Change</option>
			<option>NoAction</option>
		</enumeration>
	</datatype>
</schema>
