<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
	<!-- 
		PriceCatHeader provides header information for a PriceCatalog.
		This information includes the date and time of the pricing info, as
		well as general description information.
	 -->

	<elementtype name="PriceCatHdr">
    	<model>
        	<sequence>
        		<!--  The Date this Catalog was produced. / --> 
        		<element type="date" name="DocumentDate" />
        		
				<!--  The earliest date this Catalog can be delivered. 
					If not specified, it defaults to the DocumentDate./ -->
        		<element type="date" name="EarliestDeliveryDate" occurs="?"/>
        		
       			<!--  The date this Catalog becomes valid.
       				If not specified, it defaults to the DocumentDate. / --> 
        		<element type="date" name="ValidStartDate" occurs="?" />
        		
        		<!--  The date this Catalog becomes invalid. 
        			If not specified, it defaults to a date in the distant
        			future. / -->
        		<element type="date" name="ValidEndDate" occurs="?"/>
        		
        		<!--  The default currency for this document / -->
        		<element type="CurrencyCode" name="DefaultCurrency" />
        		
        		<!--  The default language for this document / -->
        		<element type="LangCode" name="DefaultLanguage" />
        		
        		<!--  Description of this product catalog.
        			This may be present in multiple languages (but
        			should be specified only once for a given
        			language. / -->
        		<element type="ListOfDescription" />
        		
        		<!--  References to other documents associated with
        			this Price Catalog. / -->
        		<element type="CatHdrRef" occurs="?" />
        		
        		<!--  Supplier name and address information / -->	
        		<element type="Party" name="SupplierParty" />
        		
        		<!--  Supplier's agent name and address information / -->
        		<element type="Party" name="SupplierAgentParty"
        			occurs="?" />
        		
        		<!--  Buyer name and address information.  This
        			is provided only if this price catalog is for a specific
        			buyer. / -->
        		<element type="Party" name="BuyerParty"
        			occurs="?" />
        			
        		<!--  Other name and address information related
        			to this Catalog. / -->
        		<element type="ListOfPartyCoded" occurs="?" />
        			
        		<!--  Acceptable payment currencies when purchasing
        			from this price list.  The default currency is always
        			an acceptable payment currency.  Other allowable
        			currencies should be listed here. / -->
        		<element type="ListOfPaymentCurrency" occurs="?" /> 
			</sequence>
    	</model>
	</elementtype>
	
</schema>
