<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

	<!-- 
		A SpecialCond is is used to indicate that the line item is 
		subject to special conditions owing to origin, customs,
		preference,  embargo regulations or commercial factors.
		
		The condition may be selected from a list, or supplied
		in text.
	 -->

	<elementtype name="SpecialCond">
	    <model>
	        <sequence>
	        	<!--  A coded value for the condition. / -->
		    	<element type="SpecialCondCode" name="CondCode" />
		    	
		    	<!--  If CondCode is Other, the characteristic
		    		being described is named here in language specific
		    		text. / -->
		    	<element type="string" name="CondCodeOther" occurs="?" />	 		    	
			</sequence>
	    </model>
	</elementtype>

	<!--  A code that represents a special condition.
		This is based on EANCOM codeset 4183.  / -->
	<datatype name="SpecialCondCode">
		<enumeration datatype="NMTOKEN">
			<option>SubjectToBonus</option>
			<option>SubjectToCommission</option>
			<option>PriceIncludesExcise</option>
			<option>PriceIncludesTax</option>
			<option>SubjectToExportRestrictions</option>
			<option>PromotionalPrice</option>
			<option>Service</option>	<!--   94  -->
			<option>Loan</option>		<!--  103  -->
			<option>Rental</option>		<!--  104  -->
			<option>Processing</option> <!--  105  -->
			<option>Exchange</option> 	<!--  106  -->
			<option>Return</option> 	<!--  109  -->
		</enumeration>
	</datatype>
	
	<!--  A container for a list of one or more SpecialCond / -->
	<elementtype name="ListOfSpecialCond">
    	<model>
    		<element type="SpecialCond" occurs="+" />
    	</model>
    </elementtype>
</schema>
