<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
<h1>Status</h1>
	<p>

This segment is used to provide status information 
related to the currently referenced order.
	</p>
</intro>

<!--   
	REPLACES 9011 Status event, coded  

 -->
<datatype name="StatusEventCode">
	<enumeration datatype="NMTOKEN">
		<option>Other</option>
		<option>NoInfo</option>
		<option>NewOrder</option>
		<option>Accepted</option>
		<option>NotAccepted</option>
		<option>Processing</option>
		<option>Completed</option>
		<option>Cancelled</option>
		<option>PrepaymentRequired</option>
	</enumeration>
</datatype>

<!--   9013 Status reason, coded  -->
<datatype name="StatusReasonCode">
	<enumeration datatype="NMTOKEN">
		<option>Other</option>
		<option>CustomsRefusal</option><!-- 17 -->
		<option>EmptyOnInspection</option><!-- 30 -->
		<option>DestinationIncorrect</option><!-- 210 -->
		<option>ExportRestrictions</option><!-- 217 -->
		<option>ImportRestrictions</option><!-- 219 -->
		<option>PaymentNotReceived</option><!-- 231 -->
		<option>DeliveryDifferentDate</option><!-- 23E -->
		<option>DeliveryTooLate</option><!-- 28E -->
		<option>IncidentAttributedToSeller</option><!-- 35E -->
		<option>IncidentAttributedToTheBuyer</option><!-- 36E -->
		<option>IncidentAttributedToTheCarrier</option><!-- 37E -->
	</enumeration>
</datatype>


<!--  C556 STATUS REASON  -->
<elementtype name="StatusReason">
	<model>
		<sequence>
			<!--   9013 Status reason, coded   -->
			<element type="StatusReasonCode" name="StatusReasonCodeElement" />
			
			<!--  used only when Other is selected for the StatusReasonCode  -->
			<element type="string" name="StatusReasonCodeOther" occurs="?" />
		</sequence>
	</model>
</elementtype>

<!--  C555 STATUS EVENT  -->
<elementtype name="StatusEvent">
	<model>
		<sequence>
			<!--   Similar to 9011 Status event. -->
			<element type="StatusEventCode" name="StatusEventCodeElement" />

			<!--  used only when Other is selected for the StatusEventCode  -->
			<element type="string" name="StatusEventCodeOther" occurs="?" />
		</sequence>
	</model>
</elementtype>

<!--  container for StatusReason  -->
<elementtype name="ListOfStatusReason">
	<model>
		<element type="StatusReason" occurs="+" />
	</model>
</elementtype>

<!--  STS: Order Status Segment  -->
<elementtype name="Status">
	<model>
		<sequence>
			<element type="string" name = "StatusNote" />

			<!--  C555 STATUS EVENT  -->
			<element type="StatusEvent" />

			<!--  C556 STATUS REASON  -->
			<element type="ListOfStatusReason" occurs="?" />

			<!--  
			Elements in segement not needed as we are using 
			EANCOM document and providing order statys

			C601 STATUS TYPE 
				9015 Status type, coded
				1131 Code list qualifier 
				3055 Code list responsible agency, coded 

			C555/C556 STATUS EVENT/REASON 
			1131 Code list qualifier   
			3055 Code list responsible agency, coded 
			 -->
		</sequence>
	</model>
</elementtype>

</schema>
