<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>
<!-- 
This is the SOX version of EDIFACT-based TAX-MOA.
The TaxAmount and TaxableAmount are from MOA.
TaxID is only used when the TaxCategory is 'Exempt'.

C533 and C243 are not included in this version.
Attributes Type and TypeAgency are used for C241: Duty/Tax/Fee Type.
 -->

<datatype name="TaxFuncQual">
    <explain>
	<p>
    Data Element 5283: The duty/tax/fee functional qualifier.
    The default for MarketSite 3.0 is 'Tax'.
	</p>
    </explain>
    <enumeration datatype="NMTOKEN">
	<option>CustomsDuty</option><!-- 5 Customs duty -->
	<option>Tax</option><!-- 7 Tax -->
    </enumeration>

</datatype>

<datatype name="TaxType">
    <explain>
	<p>
    Data Element 5153: The duty/tax/fee type, coded.
    The default for MarketSite 3.0 is 'GST'.
	</p>
    </explain>
    <enumeration datatype="NMTOKEN">
	<option>GST</option><!-- Goods and services tax -->
	<option>VAT</option><!-- Value Added Tax -->
    </enumeration>
</datatype>

<datatype name="TaxCategory">
    <explain>
	<p>
    Data Element 5305: The duty/tax/fee type, coded.
    The default for MarketSite 3.0 is 'S'.
	</p>
    </explain>
    <enumeration datatype="NMTOKEN">
    	<option>Other</option><!-- Mutually Defined -->
	<option>Mixed</option><!-- A Mixed tax rate -->
	<option>Exemp</option><!-- E Exempt from tax -->
	<option>Standard</option><!-- S Standard rate -->
	<option>FreeExportItem</option><!-- G Free export item, tax not charged -->
	<option>Zero</option><!-- Z Zero rated goods -->
    </enumeration>
</datatype>

<elementtype name="Tax">
    <model>
    	<sequence>
            <element type="Decimal10_4" name="TaxPercent" />
            <element type="string" name="Location" />
            <element type="string" name="TaxId" occurs="?" />
            <element type="Decimal18_3" name="TaxAmount" />
            <element type="Decimal18_3" name="TaxableAmount" />
            
            <!--  TaxCategoryOther is specified only if TaxCategory is 'Other' -->
            <element type="string" name="TaxCategoryOther" occurs="?" />
        </sequence>
    </model>
    <attdef datatype="TaxFuncQual" name="FuncQual" ><default>Tax</default></attdef>
    <attdef datatype="TaxCategory" name="Category" ><default>Standard</default></attdef>
    <attdef datatype="TaxType" name="Type" ><default>GST</default></attdef>
</elementtype>
</schema>
