<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
</intro>

<!-- 
This is the SOX version of EDIFACT-based TOD (Term of Delivery).
 -->

<datatype name="TODFunction">
    <!--  EDIFACT Data Element 1153. Reference Qualifier.  -->
    <enumeration datatype="NMTOKEN" >
        <option>Other</option>
    	<option>Despatch</option><!-- 2=Condition requested by the customer under which the supplier shall deliver -->
	<option>CollectedByCustomer</option><!-- 4=Indicates that the customer will pick up the goods at the supplier -->
	<option>Transport</option><!-- 5=Specifies the conditions under which the transport takes place under the responsibility of the carrier -->
   	<option>Delivery</option><!-- 6=Specifies the conditions under which the goods must be delivered to the consignee -->
    	<option>DeliveredBySupplier</option><!-- 10E=Indicates that the supplier will arrange the delivery of goods -->
    </enumeration>
</datatype>

<datatype name="ShippingPaymentMethodCode">
    <explain><p>Data Element 4215:  Transport charges method of payment, coded .
                Also, look at http://www.harbinger.com/resource/X12/segments/elements/el146.html
             </p>
    </explain>
    <enumeration datatype="NMTOKEN" >
        <option>Other</option>
	<option>Collect</option><!-- CC = Collect -->
	<option>PrepaidChargeCust</option><!-- Prepaid but charged to customer -->
	<option>PrepaidOnly</option><!-- PO = Prepaid only -->
   	<option>PrepaidBySeller</option><!-- PP = Prepaid by seller -->
    	<option>Pickup</option><!-- PU = Customer is responsible for payment of pickup charges at shipping point. -->
    	<option>PaidByBuyer</option><!-- EDI146 - BP -->
    	<option>ThirdPartyPay</option><!-- EDI146 - TP  -->
    	<option>PaidBySeller</option><!-- EDI146 - PS -->
    	<option>PerContract</option><!-- EDI146 - DE -->
    </enumeration>
	<!--  Data Element 4215:  Transport charges method of payment, coded .
			Also, look at http://www.harbinger.com/resource/X12/segments/elements/el146.html
	 -->
</datatype>

<datatype name="TODCode">
    <explain>
    <p>
    Data Element 4053: Terms of delivery or transport, coded.
    Take a look at: http://busserv/eancom97/part3/cl3f.htm
    for more details.
    </p></explain>
    <enumeration datatype="NMTOKEN" >
        <option>Other</option>
 	<option>ContactBeforeDelivery</option><!-- 01E EAN Code -->
	<option>CashOnDelivery</option><!-- 04E EAN Code -->
	<option>FOB</option><!-- FreightOnBoard -->
	<option>FOA</option><!-- FOB Airport -->
   	<option>FOR</option><!-- Free on Rail -->
    </enumeration>
	<!--  
    Data Element 4053: Terms of delivery or transport, coded.
    Take a look at: http://busserv/eancom97/part3/cl3f.htm
    for more details.
	 -->
</datatype>

<elementtype name="TermOfDelivery">
    <model>
	<sequence>
        <element type="TODCode" name="Code" />
        
        <!--  TODCodeOther is specified only if TODCOde='Other'  -->
        <!--  Recommended type AlphaNum70  -->
        <element type="string" name="TODCodeOther" occurs="?" />
        
	<!--  Example of FOB information:
	     FOB City: San Francisco, CA
	     FOB Location: SFO-Delta-Air-Line-Warehouse
	      -->
	<!--  Recommended type AlphaNum35  -->
	<element type="string" name="FOBCity" occurs="?" />    
	
	<!--  Recommended type AlphaNum70  --> 
        <element type="string" name="FOBLocation" occurs="?" />
        
        <!--  Recommended type AlphaNum256  --> 
        <element type="string" name="FOBInstruction" occurs="?" />
        
        <element type="ShippingPaymentMethodCode" name="ShippingPaymentMethod" occurs="?" />
        <!--  ShippingPaymentMethodOther is only used if ShippingPaymentMethod
        	is 'Other'  -->
        <!--  Recommended type AlphaNum70  --> 
        <element type="string" name="ShippingPaymentMethodOther" occurs="?" />
        
        <!--  TODFunctionOther is specified only if TODFunction='Other'  -->
        <!--  Recommended type AlphaNum70  --> 
        <element type="string" name="TODFunctionOther" occurs="?" />
        
	</sequence>
    </model>
    <attdef datatype="TODFunction" name="TODFunction_a"><default>Delivery</default></attdef>
	</elementtype>
</schema>


