<?xml version="1.0"?>
<!DOCTYPE schema SYSTEM "urn:x-commerceone:document:com:commerceone:xdk:xml:schema.dtd$1.0">

<schema uri="urn:x-commerceone:document:com:commerceone:CBL:CBL.sox$1.0" >

<intro>
<p>Copyright Notice</p>
<p>Common Business Library 2.0<br/>
Copyright 1999 Commerce One, Inc.</p>
<p>Permission is granted to use, copy, modify and distribute the DTD's, schemas
and modules in the Commerce One Common Business Library Version 2.0 subject to the terms
and conditions specified at http://www.marketsite.net/xml/cbl/copyright.html</p> 
<h1>UOMCode</h1>
		<p>
		A UOMCode represents the unit the something is measured in (the
		Unit Of Measure. It is based on UN/ECE Recommendation 20.
		</p>
	</intro>
	
	<datatype name="UOMCode">
		<enumeration datatype="NMTOKEN">
			<!--  Acre (4840 yd2) / -->
			<option>ACR</option>
			
			<!--  Amount (EAN Code) A measurement of monetary amount. / -->
			<option>AMT</option>
			
			<!--  Troy ounce (31.10348 g) (EAN Code) / -->
			<option>APX</option>
			
			<!--  Alcoholic strength by mass / -->
			<option>ASM</option>
			
			<!--  Alcoholic strength by volume / -->
			<option>ASV</option>
			
			<!--  British thermal unit (1,055 kilojoules) / -->
			<option>BTU</option>
			
			<!--  Call Unit of measure for telephone calls.
				Note that this is (C Zero). / -->
			<option>C0</option>
			
			<!--  Degree celsius / -->
			<option>CEL</option>
			
			<!--  Square centimetre / -->
			<option>CMK</option>
			
			<!--  Centimetre / -->
			<option>CMT</option>
			
			<!--  Day The expression of a day as a measure unit. / -->
			<option>DAY</option>
			
			<!--  Decimetre / -->
			<option>DMT</option>
			
			<!--  Each / -->
			<option>EA</option>
			
			<!--  Degree fahrenheit / -->
			<option>FAH</option>
			
			<!--  Foot (0,3048 m) / -->
			<option>FOT</option>
			
			<!--  Gigajoule / -->
			<option>GJO</option>
			
			<!--  Gallon (4,546092 dm3) / -->
			<option>GLI</option>
			
			<!--  Gram / -->
			<option>GRM</option>
			
			<!--  Gigawatt-hour (1 million kW/h) / -->
			<option>GWH</option>
			
			<!--  Hectolitre / -->
			<option>HLT</option>
			
			<!--  Hour / -->
			<option>HUR</option>
			
			<!--  Inch (25,4 mm) / -->
			<option>INH</option>
			
			<!--  Joule / -->
			<option>JOU</option>
			
			<!--  Kilobar / -->
			<option>KBA</option>
			
			<!--  Kelvin / -->
			<option>KEL</option>
			
			<!--  Kilogram / -->
			<option>KGM</option>
			
			<!--  Kilohertz / -->
			<option>KHZ</option>
			
			<!--  Kilojoule / -->
			<option>KJO</option>
			
			<!--  Kilometre / -->
			<option>KMT</option>
			
			<!--  Kilovolt / -->
			<option>KVT</option>
			
			<!--  Kilowatt hour / -->
			<option>KWH</option>
			
			<!--  Kilowatt / -->
			<option>KWT</option>
			
			<!--  Printed line count (EAN Code) The indication of
				the count of printed lines included on a paper communication
				(e.g. telegram) for invoicing purposes. / -->
			<option>LNE</option>
			
			<!--  Litre (1 dm3) / -->
			<option>LTR</option>
			
			<!--  Mega litre / -->
			<option>MAL</option>
			
			<!--  Megawatt / -->
			<option>MAW</option>
			
			<!--  Milligram / -->
			<option>MGM</option>
			
			<!--  Megahertz / -->
			<option>MHZ</option>
			
			<!--  Minute / -->
			<option>MIN</option>
			
			<!--  Millilitre / -->
			<option>MLT</option>
			
			<!--  Millimetre / -->
			<option>MMT</option>
			
			<!--  Square metre / -->
			<option>MTK</option>
			
			<!--  Cubic metre / -->
			<option>MTQ</option>
			
			<!--  Metre / -->
			<option>MTR</option>
			
			<!--  Megawatt hour (1000 kW.h) / -->
			<option>MWH</option>
			
			<!--  Number of articles / -->
			<option>NAR</option>
			
			<!--  Number of rolls / -->
			<option>NRL</option>
			
			<!--  Ounce GB, US (28.349523 g) / -->
			<option>ONZ</option>
			
			<!--  Fluid ounce US (29.5735 cm3) / -->
			<option>OZA</option>
			
			<!--  Fluid ounce UK (28.413 cm3) / -->
			<option>OZI</option>
			
			<!--  Percent / -->
			<option>P1</option>
			
			<!--  Piece / -->
			<option>PCE</option>
			
			<!--  Page (EAN Code) The indication of a page as a 
				measurement unit for invoicing purposes, e.g. fax pages. / -->
			<option>PGE</option>
			
			<!--  Pound (EAN Code)  / -->
			<option>PND</option>
			
			<!--  Parts per million (EAN Code) / -->
			<option>PPM</option>
			
			<!--  Pint UK (0,568262 dm3) / -->
			<option>PTI</option>
			
			<!--  Portion (EAN Code) The identification of the 
				number of portions (doses in medical terms) into which 
				a complete product may be broken into for serving 
				purposes, e.g. a pie with 6 portions, a liquid medicine 
				with 20 doses. / -->
			<option>PTN</option>
			
			<!--  Quarter (of a year) / -->
			<option>QAN</option>
			
			<!--  Quart UK (1,1136523 dm3) / -->
			<option>QTI</option>
			
			<!--  Ratio (EAN Code)  / -->
			<option>RTO</option>
			
			<!--  Second / -->
			<option>SEC</option>
			
			<!--  Sheet / -->
			<option> ST</option>
			
			<!--  Metric ton (1000kg) / -->
			<option>TNE</option>
			
			<!--  Volt / -->
			<option>VLT</option>
			
			<!--  Watt hour / -->
			<option>WHR</option>
			
			<!--  Word (EAN Code) The specification of a word as a 
				measurement unit, e.g. 21 words in a telex. / -->
			<option>WRD</option>
			
			<!--  Watt / -->
			<option>WTT</option>
			
			<!--  Yard (0.9144 m) / -->
			<option>YRD</option>
			
			<!-- Barrel (205 litres, 45 gallons) (EAN Code) / -->
			<option>001</option>
			
			<!--  Degree days (EAN Code) / -->
			<option>002</option>
			
			<!--  Gigacaloric (EAN Code)  / -->
			<option>003</option>
			
			<!--  Megajoule per cubic metre (EAN Code)  / -->
			<option>004</option>
		</enumeration>
	</datatype>
</schema>

			
